Bug 1245121 - TypeError: unhashable type: 'YumHistoryPackageState'
TypeError: unhashable type: 'YumHistoryPackageState'
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
: 1259671 1264185 1327099 1332235 1336220 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-21 05:06 EDT by Michael Schwendt
Modified: 2016-05-22 00:01 EDT (History)
18 users (show)

See Also:
Fixed In Version: dnf-1.1.9-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-21 22:24:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2015-07-21 05:06:19 EDT
# dnf history info claws-mail
Last metadata expiration check performed 0:01:35 ago on Tue Jul 21 11:02:32 2015.
Transaction ID : 10
Begin time     : Tue Jun 23 12:48:57 2015
Begin rpmdb    : 1614:f4c3ff264965dea91a13af2eb024e2d68c21bfed
End time       :            13:17:00 2015 (28 minutes)
End rpmdb      : 1616:a9301e6f0334c72f00804cc0c8e768894a132162
User           : Michael Schwendt <…>
Return-Code    : Success
Transaction performed with:
    Upgraded      dnf-1.0.1-2.fc23.noarch     (unknown)
    Upgraded      rpm-4.12.0.1-15.fc23.x86_64 (unknown)
Packages Altered:
    Upgraded GConf2-3.2.6-13.fc23.x86_64                                        (unknown)
    Upgrade         3.2.6-14.fc23.x86_64                                        @rawhide/23
    Upgraded GeoIP-1.6.5-2.fc23.x86_64                                          (unknown)
    Upgrade        1.6.5-3.fc23.x86_64                                          @rawhide/23
    Upgraded GeoIP-GeoLite-data-2015.06-1.fc23.noarch                           (unknown)
    Upgrade                     2015.06-2.fc23.noarch                           @rawhide/23
    Upgraded ImageMagick-libs-6.9.1.3-0.beta.3.fc23.1.x86_64                    @rawhide/23
    Upgrade                   6.9.1.3-0.beta.3.fc23.2.x86_64                    @rawhide/23
    Upgraded LibRaw-0.16.2-1.fc23.x86_64                                        (unknown)
    Upgrade         0.16.2-2.fc23.x86_64                                        @rawhide/23
    Upgraded ModemManager-1.4.6-1.fc23.x86_64                                   (unknown)
    Upgrade               1.4.6-2.fc23.x86_64                                   @rawhide/23
    Upgraded ModemManager-glib-1.4.6-1.fc23.x86_64                              (unknown)
    Upgrade                    1.4.6-2.fc23.x86_64                              @rawhide/23
    Upgraded NetworkManager-openconnect-1.0.2-1.fc23.x86_64                     (unknown)
    Upgrade                             1.0.2-2.fc23.x86_64                     @rawhide/23
    Upgraded NetworkManager-openvpn-1:1.0.2-2.fc23.x86_64                       (unknown)
    Upgrade                         1:1.0.2-3.fc23.x86_64                       @rawhide/23
    Upgraded NetworkManager-openvpn-gnome-1:1.0.2-2.fc23.x86_64                 (unknown)
    Upgrade                               1:1.0.2-3.fc23.x86_64                 @rawhide/23
    Upgraded NetworkManager-pptp-1:1.1.0-1.20150428git695d4f2.fc23.x86_64       (unknown)
    Upgrade                      1:1.1.0-2.20150428git695d4f2.fc23.x86_64       @rawhide/23
    Upgraded NetworkManager-pptp-gnome-1:1.1.0-1.20150428git695d4f2.fc23.x86_64 (unknown)
    Upgrade                            1:1.1.0-2.20150428git695d4f2.fc23.x86_64 @rawhide/23
    Upgraded NetworkManager-vpnc-1:1.0.2-1.fc23.x86_64                          (unknown)
    Upgrade                      1:1.0.2-2.fc23.x86_64                          @rawhide/23
    Upgraded NetworkManager-vpnc-gnome-1:1.0.2-1.fc23.x86_64                    (unknown)
    Upgrade                            1:1.0.2-2.fc23.x86_64                    @rawhide/23
    Upgraded OpenEXR-libs-2.2.0-3.fc23.x86_64                                   @rawhide/23
    Upgrade               2.2.0-4.fc23.x86_64                                   @rawhide/23
    Upgraded PackageKit-1.0.6-6.fc23.x86_64                                     (unknown)
    Upgrade             1.0.6-7.fc23.x86_64                                     @rawhide/23
    Upgraded PackageKit-cached-metadata-1.0.6-6.fc23.x86_64                     (unknown)
    Upgrade                             1.0.6-7.fc23.x86_64                     @rawhide/23
    Upgraded PackageKit-command-not-found-1.0.6-6.fc23.x86_64                   (unknown)
    Upgrade                               1.0.6-7.fc23.x86_64                   @rawhide/23
    Upgraded PackageKit-glib-1.0.6-6.fc23.x86_64                                (unknown)
    Upgrade                  1.0.6-7.fc23.x86_64                                @rawhide/23
    Upgraded PackageKit-gstreamer-plugin-1.0.6-6.fc23.x86_64                    (unknown)
    Upgrade                              1.0.6-7.fc23.x86_64                    @rawhide/23
    Upgraded PackageKit-gtk3-module-1.0.6-6.fc23.x86_64                         (unknown)
    Upgrade                         1.0.6-7.fc23.x86_64                         @rawhide/23
    Upgraded SDL-1.2.15-17.fc23.x86_64                                          (unknown)
    Upgrade      1.2.15-18.fc23.x86_64                                          @rawhide/23
    Upgraded SDL2-2.0.3-5.fc23.x86_64                                           (unknown)
    Upgrade       2.0.3-6.fc23.x86_64                                           @rawhide/23
    Upgraded aajohan-comfortaa-fonts-2.004-4.fc22.noarch                        (unknown)
    Upgrade                          2.004-5.fc23.noarch                        @rawhide/23
    Upgraded abattis-cantarell-fonts-0.0.16-2.fc22.noarch                       (unknown)
    Upgrade                          0.0.16-3.fc23.noarch                       @rawhide/23
    Upgraded abrt-2.6.0-1.fc23.x86_64                                           (unknown)
    Upgrade       2.6.0-2.fc23.x86_64                                           @rawhide/23
    Upgraded abrt-addon-ccpp-2.6.0-1.fc23.x86_64                                (unknown)
    Upgrade                  2.6.0-2.fc23.x86_64                                @rawhide/23
    Upgraded abrt-addon-coredump-helper-2.6.0-1.fc23.x86_64                     (unknown)
    Upgrade                             2.6.0-2.fc23.x86_64                     @rawhide/23
    Upgraded abrt-addon-kerneloops-2.6.0-1.fc23.x86_64                          (unknown)
    Upgrade                        2.6.0-2.fc23.x86_64                          @rawhide/23
    Upgraded abrt-addon-pstoreoops-2.6.0-1.fc23.x86_64                          (unknown)
    Upgrade                        2.6.0-2.fc23.x86_64                          @rawhide/23
    Upgraded abrt-addon-python-2.6.0-1.fc23.x86_64                              (unknown)
    Upgrade                    2.6.0-2.fc23.x86_64                              @rawhide/23
    Upgraded abrt-addon-python3-2.6.0-1.fc23.x86_64                             (unknown)
    Upgrade                     2.6.0-2.fc23.x86_64                             @rawhide/23
    Upgraded abrt-addon-vmcore-2.6.0-1.fc23.x86_64                              (unknown)
    Upgrade                    2.6.0-2.fc23.x86_64                              @rawhide/23
    Upgraded abrt-addon-xorg-2.6.0-1.fc23.x86_64                                (unknown)
    Upgrade                  2.6.0-2.fc23.x86_64                                @rawhide/23
    Upgraded abrt-cli-2.6.0-1.fc23.x86_64                                       (unknown)
    Upgrade           2.6.0-2.fc23.x86_64                                       @rawhide/23
    Upgraded abrt-dbus-2.6.0-1.fc23.x86_64                                      (unknown)
    Upgrade            2.6.0-2.fc23.x86_64                                      @rawhide/23
    Upgraded abrt-desktop-2.6.0-1.fc23.x86_64                                   (unknown)
    Upgrade               2.6.0-2.fc23.x86_64                                   @rawhide/23
    Upgraded abrt-gui-2.6.0-1.fc23.x86_64                                       (unknown)
    Upgrade           2.6.0-2.fc23.x86_64                                       @rawhide/23
    Upgraded abrt-gui-libs-2.6.0-1.fc23.x86_64                                  (unknown)
    Upgrade                2.6.0-2.fc23.x86_64                                  @rawhide/23
    Upgraded abrt-libs-2.6.0-1.fc23.x86_64                                      (unknown)
    Upgrade            2.6.0-2.fc23.x86_64                                      @rawhide/23
    Upgraded abrt-plugin-bodhi-2.6.0-1.fc23.x86_64                              (unknown)
    Upgrade                    2.6.0-2.fc23.x86_64                              @rawhide/23
    Upgraded abrt-python-2.6.0-1.fc23.x86_64                                    (unknown)
    Upgrade              2.6.0-2.fc23.x86_64                                    @rawhide/23
    Upgraded abrt-python3-2.6.0-1.fc23.x86_64                                   (unknown)
    Upgrade               2.6.0-2.fc23.x86_64                                   @rawhide/23
    Upgraded abrt-retrace-client-2.6.0-1.fc23.x86_64                            (unknown)
    Upgrade                      2.6.0-2.fc23.x86_64                            @rawhide/23
    Upgraded abrt-tui-2.6.0-1.fc23.x86_64                                       (unknown)
    Upgrade           2.6.0-2.fc23.x86_64                                       @rawhide/23
    Upgraded accountsservice-0.6.40-1.fc22.x86_64                               (unknown)
    Upgrade                  0.6.40-2.fc23.x86_64                               @rawhide/23
    Upgraded accountsservice-libs-0.6.40-1.fc22.x86_64                          (unknown)
    Upgrade                       0.6.40-2.fc23.x86_64                          @rawhide/23
    Upgraded acl-2.2.52-8.fc23.x86_64                                           (unknown)
    Upgrade      2.2.52-9.fc23.x86_64                                           @rawhide/23
    Upgraded adobe-source-han-sans-cn-fonts-1.002-1.fc23.noarch                 (unknown)
    Upgrade                                 1.002-2.fc23.noarch                 @rawhide/23
    Upgraded adobe-source-han-sans-tw-fonts-1.002-1.fc23.noarch                 (unknown)
    Upgrade                                 1.002-2.fc23.noarch                 @rawhide/23
    Upgraded adwaita-cursor-theme-3.16.2.1-1.fc23.noarch                        (unknown)
    Upgrade                       3.16.2.1-2.fc23.noarch                        @rawhide/23
    Upgraded adwaita-gtk2-theme-3.16.2-1.fc23.x86_64                            (unknown)
    Upgrade                     3.16.2-2.fc23.x86_64                            @rawhide/23
    Upgraded adwaita-icon-theme-3.16.2.1-1.fc23.noarch                          (unknown)
    Upgrade                     3.16.2.1-2.fc23.noarch                          @rawhide/23
    Upgraded adwaita-qt-common-0-0.6.20141216git024b00bf.fc23.noarch            (unknown)
    Upgrade                    0-0.7.20141216git024b00bf.fc23.noarch            @rawhide/23
    Upgraded adwaita-qt4-0-0.6.20141216git024b00bf.fc23.x86_64                  (unknown)
    Upgrade              0-0.7.20141216git024b00bf.fc23.x86_64                  @rawhide/23
    Upgraded alsa-lib-1.0.29-1.fc23.x86_64                                      (unknown)
    Upgrade           1.0.29-2.fc23.x86_64                                      @rawhide/23
    Upgraded alsa-plugins-pulseaudio-1.0.29-1.fc23.x86_64                       (unknown)
    Upgrade                          1.0.29-2.fc23.x86_64                       @rawhide/23
    Upgraded alsa-utils-1.0.29-1.fc23.x86_64                                    (unknown)
    Upgrade             1.0.29-2.fc23.x86_64                                    @rawhide/23
    Upgraded anaconda-23.10-3.fc23.x86_64                                       @rawhide/23
    Upgrade           23.11-2.fc23.x86_64                                       @rawhide/23
    Upgraded anaconda-core-23.10-3.fc23.x86_64                                  @rawhide/23
    Upgrade                23.11-2.fc23.x86_64                                  @rawhide/23
    Upgraded anaconda-gui-23.10-3.fc23.x86_64                                   @rawhide/23
    Upgrade               23.11-2.fc23.x86_64                                   @rawhide/23
    Upgraded anaconda-tui-23.10-3.fc23.x86_64                                   @rawhide/23
    Upgrade               23.11-2.fc23.x86_64                                   @rawhide/23
    Upgraded anaconda-user-help-22.4-1.fc23.noarch                              (unknown)
    Upgrade                     22.4-2.fc23.noarch                              @rawhide/23
    Upgraded anaconda-widgets-23.10-3.fc23.x86_64                               @rawhide/23
    Upgrade                   23.11-2.fc23.x86_64                               @rawhide/23
    Upgraded appstream-data-23-2.fc23.noarch                                    (unknown)
    Upgrade                 23-3.fc23.noarch                                    @rawhide/23
    Upgraded apr-1.5.2-1.fc23.x86_64                                            (unknown)
    Upgrade      1.5.2-2.fc23.x86_64                                            @rawhide/23
    Upgraded apr-util-1.5.4-1.fc22.x86_64                                       (unknown)
    Upgrade           1.5.4-2.fc23.x86_64                                       @rawhide/23
    Upgraded argyllcms-1.6.3-4.fc22.x86_64                                      (unknown)
    Upgrade            1.7.0-2.fc23.x86_64                                      @rawhide/23
    Upgraded at-3.1.16-5.fc22.x86_64                                            (unknown)
    Upgrade     3.1.16-6.fc23.x86_64                                            @rawhide/23
    Upgraded at-spi2-atk-2.16.0-1.fc23.x86_64                                   (unknown)
    Upgrade              2.16.0-2.fc23.x86_64                                   @rawhide/23
    Upgraded at-spi2-core-2.16.0-1.fc23.x86_64                                  (unknown)
    Upgrade               2.16.0-2.fc23.x86_64                                  @rawhide/23
    Upgraded atk-2.16.0-1.fc23.x86_64                                           (unknown)
    Upgrade      2.16.0-2.fc23.x86_64                                           @rawhide/23
    Upgraded atkmm-2.22.7-5.fc23.x86_64                                         (unknown)
    Upgrade        2.22.7-6.fc23.x86_64                                         @rawhide/23
    Upgraded atmel-firmware-1.3-13.fc21.noarch                                  (unknown)
    Upgrade                 1.3-14.fc23.noarch                                  @rawhide/23
    Upgraded attr-2.4.47-11.fc23.x86_64                                         (unknown)
    Upgrade       2.4.47-12.fc23.x86_64                                         @rawhide/23
    Upgraded audacious-3.6.2-1.fc23.x86_64                                      (unknown)
    Upgrade            3.6.2-2.fc23.x86_64                                      @rawhide/23
    Upgraded audacious-libs-3.6.2-1.fc23.x86_64                                 (unknown)
    Upgrade                 3.6.2-2.fc23.x86_64                                 @rawhide/23
    Upgraded audacious-plugins-3.6.2-1.fc23.x86_64                              (unknown)
    Upgrade                    3.6.2-2.fc23.x86_64                              @rawhide/23
    Upgraded audit-2.4.2-1.fc23.x86_64                                          (unknown)
    Upgrade        2.4.2-2.fc23.x86_64                                          @rawhide/23
    Upgraded audit-libs-2.4.2-1.fc23.x86_64                                     (unknown)
    Upgrade             2.4.2-2.fc23.x86_64                                     @rawhide/23
    Upgraded audit-libs-python-2.4.2-1.fc23.x86_64                              (unknown)
    Upgrade                    2.4.2-2.fc23.x86_64                              @rawhide/23
    Upgraded augeas-libs-1.4.0-1.fc23.x86_64                                    (unknown)
    Upgrade              1.4.0-2.fc23.x86_64                                    @rawhide/23
    Upgraded authconfig-6.2.10-8.fc23.x86_64                                    (unknown)
    Upgrade             6.2.10-9.fc23.x86_64                                    @rawhide/23
    Upgraded autocorr-en-1:5.0.0.0-6.beta3.fc23.noarch                          (unknown)
    Upgrade              1:5.0.0.0-7.beta3.fc23.noarch                          @rawhide/23
    Upgraded autogen-libopts-5.18.5-1.fc23.x86_64                               (unknown)
    Upgrade                  5.18.5-2.fc23.x86_64                               @rawhide/23
    Upgraded avahi-0.6.31-35.fc23.x86_64                                        @rawhide/23
    Upgrade        0.6.31-36.fc23.x86_64                                        @rawhide/23
    Upgraded avahi-autoipd-0.6.31-35.fc23.x86_64                                @rawhide/23
    Upgrade                0.6.31-36.fc23.x86_64                                @rawhide/23
    Upgraded avahi-glib-0.6.31-35.fc23.x86_64                                   @rawhide/23
    Upgrade             0.6.31-36.fc23.x86_64                                   @rawhide/23
    Upgraded avahi-gobject-0.6.31-35.fc23.x86_64                                @rawhide/23
    Upgrade                0.6.31-36.fc23.x86_64                                @rawhide/23
    Upgraded avahi-libs-0.6.31-35.fc23.x86_64                                   @rawhide/23
    Upgrade             0.6.31-36.fc23.x86_64                                   @rawhide/23
    Upgraded avahi-ui-gtk3-0.6.31-35.fc23.x86_64                                @rawhide/23
    Upgrade                0.6.31-36.fc23.x86_64                                @rawhide/23
    Upgraded b43-fwcutter-019-4.fc23.x86_64                                     (unknown)
    Upgrade               019-5.fc23.x86_64                                     @rawhide/23
    Upgraded b43-openfwwf-5.2-11.fc21.noarch                                    (unknown)
    Upgrade               5.2-12.fc23.noarch                                    @rawhide/23
    Upgraded baobab-3.16.1-1.fc23.x86_64                                        (unknown)
    Upgrade         3.16.1-2.fc23.x86_64                                        @rawhide/23
    Upgraded basesystem-10.0-10.fc23.noarch                                     (unknown)
    Upgrade             10.0-11.fc23.noarch                                     @rawhide/23
    Upgraded bash-4.3.39-1.fc23.x86_64                                          (unknown)
    Upgrade       4.3.39-2.fc23.x86_64                                          @rawhide/23
    Install  bash-completion-1:2.1-8.20150513git1950590.fc23.noarch             @rawhide/23
    Upgraded bc-1.06.95-14.fc23.x86_64                                          (unknown)
    Upgrade     1.06.95-15.fc23.x86_64                                          @rawhide/23
    Upgraded bcache-tools-1.0.8-2.fc23.x86_64                                   (unknown)
    Upgrade               1.0.8-4.fc23.x86_64                                   @rawhide/23
    Upgraded bijiben-3.17.2-1.fc23.x86_64                                       (unknown)
    Upgrade          3.17.2-2.fc23.x86_64                                       @rawhide/23
    Upgraded bind-libs-32:9.10.2-4.fc23.x86_64                                  (unknown)
    Upgrade            32:9.10.2-5.fc23.x86_64                                  @rawhide/23
    Upgraded bind-libs-lite-32:9.10.2-4.fc23.x86_64                             (unknown)
    Upgrade                 32:9.10.2-5.fc23.x86_64                             @rawhide/23
    Upgraded bind-license-32:9.10.2-4.fc23.noarch                               (unknown)
    Upgrade               32:9.10.2-5.fc23.noarch                               @rawhide/23
    Upgraded bind-utils-32:9.10.2-4.fc23.x86_64                                 (unknown)
    Upgrade             32:9.10.2-5.fc23.x86_64                                 @rawhide/23
    Upgraded bind99-libs-9.9.7-4.fc23.x86_64                                    (unknown)
    Upgrade              9.9.7-5.fc23.x86_64                                    @rawhide/23
    Upgraded bind99-license-9.9.7-4.fc23.noarch                                 (unknown)
    Upgrade                 9.9.7-5.fc23.noarch                                 @rawhide/23
    Upgraded binutils-2.25-10.fc23.x86_64                                       (unknown)
    Upgrade           2.25-11.fc23.x86_64                                       @rawhide/23
    Upgraded bluez-5.30-2.fc23.x86_64                                           (unknown)
    Upgrade        5.30-3.fc23.x86_64                                           @rawhide/23
    Upgraded bluez-cups-5.30-2.fc23.x86_64                                      (unknown)
    Upgrade             5.30-3.fc23.x86_64                                      @rawhide/23
    Upgraded bluez-libs-5.30-2.fc23.x86_64                                      (unknown)
    Upgrade             5.30-3.fc23.x86_64                                      @rawhide/23
    Upgraded boost-date-time-1.57.0-7.fc23.x86_64                               (unknown)
    Upgrade                  1.57.0-8.fc23.x86_64                               @rawhide/23
    Upgraded boost-iostreams-1.57.0-7.fc23.x86_64                               (unknown)
    Upgrade                  1.57.0-8.fc23.x86_64                               @rawhide/23
    Upgraded boost-system-1.57.0-7.fc23.x86_64                                  (unknown)
    Upgrade               1.57.0-8.fc23.x86_64                                  @rawhide/23
    Upgraded boost-thread-1.57.0-7.fc23.x86_64                                  (unknown)
    Upgrade               1.57.0-8.fc23.x86_64                                  @rawhide/23
    Upgraded brasero-libs-3.12.1-1.fc23.x86_64                                  (unknown)
    Upgrade               3.12.1-2.fc23.x86_64                                  @rawhide/23
    Upgraded btrfs-progs-4.0.1-1.fc23.x86_64                                    (unknown)
    Upgrade              4.0.1-2.fc23.x86_64                                    @rawhide/23
    Upgraded bzip2-1.0.6-15.fc23.x86_64                                         (unknown)
    Upgrade        1.0.6-16.fc23.x86_64                                         @rawhide/23
    Upgraded bzip2-libs-1.0.6-15.fc23.x86_64                                    (unknown)
    Upgrade             1.0.6-16.fc23.x86_64                                    @rawhide/23
    Upgraded c-ares-1.10.0-4.fc22.x86_64                                        (unknown)
    Upgrade         1.10.0-5.fc23.x86_64                                        @rawhide/23
    Upgraded ca-certificates-2015.2.4-2.fc23.noarch                             (unknown)
    Upgrade                  2015.2.4-3.fc23.noarch                             @rawhide/23
    Upgraded cairo-1.14.2-1.fc23.x86_64                                         (unknown)
    Upgrade        1.14.2-2.fc23.x86_64                                         @rawhide/23
    Upgraded cairo-gobject-1.14.2-1.fc23.x86_64                                 (unknown)
    Upgrade                1.14.2-2.fc23.x86_64                                 @rawhide/23
    Upgraded cairomm-1.10.0-11.fc23.x86_64                                      (unknown)
    Upgrade          1.10.0-12.fc23.x86_64                                      @rawhide/23
    Upgraded caribou-0.4.18.1-1.fc23.x86_64                                     (unknown)
    Upgrade          0.4.18.1-2.fc23.x86_64                                     @rawhide/23
    Upgraded caribou-gtk2-module-0.4.18.1-1.fc23.x86_64                         (unknown)
    Upgrade                      0.4.18.1-2.fc23.x86_64                         @rawhide/23
    Upgraded caribou-gtk3-module-0.4.18.1-1.fc23.x86_64                         (unknown)
    Upgrade                      0.4.18.1-2.fc23.x86_64                         @rawhide/23
    Upgraded cdparanoia-libs-10.2-19.fc23.x86_64                                (unknown)
    Upgrade                  10.2-20.fc23.x86_64                                @rawhide/23
    Upgraded celt051-0.5.1.3-9.fc22.x86_64                                      (unknown)
    Upgrade          0.5.1.3-10.fc23.x86_64                                     @rawhide/23
    Upgraded checkpolicy-2.3-4.fc22.x86_64                                      (unknown)
    Upgrade              2.3-5.fc23.x86_64                                      @rawhide/23
    Upgraded cheese-2:3.17.1-1.fc23.x86_64                                      (unknown)
    Upgrade         2:3.17.1-2.fc23.x86_64                                      @rawhide/23
    Upgraded cheese-libs-2:3.17.1-1.fc23.x86_64                                 (unknown)
    Upgrade              2:3.17.1-2.fc23.x86_64                                 @rawhide/23
    Upgraded chkconfig-1.5-1.fc23.x86_64                                        (unknown)
    Upgrade            1.5-2.fc23.x86_64                                        @rawhide/23
    Upgraded chrony-2.1-0.1.pre1.fc23.x86_64                                    (unknown)
    Upgrade         2.1-0.2.pre1.fc23.x86_64                                    @rawhide/23
    Upgraded cifs-utils-6.4-3.fc22.x86_64                                       (unknown)
    Upgrade             6.4-4.fc23.x86_64                                       @rawhide/23
Traceback (most recent call last):
  File "/bin/dnf", line 35, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 185, in user_main
    errcode = main(args)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 84, in main
    return _main(base, args)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 134, in _main
    cli.run()
  File "/usr/lib/python3.4/site-packages/dnf/cli/cli.py", line 1077, in run
    return self.command.run(self.base.extcmds)
  File "/usr/lib/python3.4/site-packages/dnf/cli/commands/__init__.py", line 1217, in run
    ret = self.output.historyInfoCmd(extcmds)
  File "/usr/lib/python3.4/site-packages/dnf/cli/output.py", line 1481, in historyInfoCmd
    self._historyInfoCmd(tid, pats)
  File "/usr/lib/python3.4/site-packages/dnf/cli/output.py", line 1619, in _historyInfoCmd
    self.historyInfoCmdPkgsAltered(old, pats)
  File "/usr/lib/python3.4/site-packages/dnf/cli/output.py", line 1694, in historyInfoCmdPkgsAltered
    x, m, u = dnf.yum.packages.parsePackages([hpkg], pats)
  File "/usr/lib/python3.4/site-packages/dnf/yum/packages.py", line 76, in parsePackages
    exactmatch.update(pkgdict[command])
TypeError: unhashable type: 'YumHistoryPackageState'


# rpm -q dnf
dnf-1.0.1-3.fc23.noarch
Comment 1 Honza Silhan 2015-08-10 08:32:04 EDT
Thanks for the report. Can you reproduce it with python2-dnf package and running dnf-2?
Comment 2 Michael Schwendt 2015-08-10 09:38:23 EDT
There is no python2-dnf package, only python-dnf.

And no, it is not reproducible with dnf-2.

# rpm -q python-dnf python3-dnf dnf
python-dnf-1.0.2-3.fc24.noarch
python3-dnf-1.0.2-3.fc24.noarch
dnf-1.0.2-3.fc24.noarch
Comment 3 Radek Holy 2015-09-07 07:58:04 EDT
*** Bug 1259671 has been marked as a duplicate of this bug. ***
Comment 4 Radek Holy 2015-09-17 16:44:24 EDT
*** Bug 1264185 has been marked as a duplicate of this bug. ***
Comment 5 Jason Tibbitts 2015-12-14 17:30:05 EST
Seeing this as well on my updated F23 machines: dnf-1.1.4-2.fc23.noarch  The machine was upgraded from F22 via dnf system-upgrade (and I think from F21 using fedup).
Comment 6 Dusty Mabe 2015-12-14 18:02:37 EST
This is easily reproducible on F23. What questions do the developers have that we (the users) can answer?
Comment 7 Michael Schwendt 2015-12-14 18:57:10 EST
> What questions do the developers have that we (the users) can answer?

Well, they had asked a question in comment 1, and I've answered in comment 2.
Comment 8 Martin Ueding 2016-02-04 06:26:31 EST
This error still occurs on in a fresh Fedora 23 VM with dnf 1.1.6-1 and 1.1.6-2 from updates-testing.
Comment 9 Christian Stadelmann 2016-02-11 17:35:52 EST
Similar problem has been detected:

I was using dnf history search for libinput. After displaying history for one entry, I got a python backtrace.

reporter:       libreport-2.6.4
cmdline:        /usr/bin/python3 /usr/bin/dnf history info libinput
event_log:      2016-02-11-23:34:53> (»report_uReport« erfolgreich abgeschlossen)
executable:     /usr/bin/dnf
kernel:         4.3.5-300.fc23.x86_64
package:        dnf-1.1.6-2.fc23
reason:         packages.py:76:parsePackages:TypeError: unhashable type: 'YumHistoryPackageState'
runlevel:       N 5
type:           Python3
Comment 10 Jan Kurik 2016-02-24 08:27:13 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 11 guoxiao 2016-03-03 23:51:46 EST
This bug also occurs on a Fedora 23 with follow command:

% sudo dnf history info kernel
Last metadata expiration check performed 0:03:48 ago on Fri Mar  4 12:41:12 2016.
Transaction ID : 542
Begin time     : Thu Mar  3 23:03:40 2016
Begin rpmdb    : 2824:6e9ce5e4cd1e31c7a68de70c4965417c5ae58541
End time       :            23:04:33 2016 (53 seconds)
End rpmdb      : 2824:10cb932996418934668fa14b432e69b92485ee9e
User           : admin <admin>
Return-Code    : Success
Command Line   : update -y
Transaction performed with:
    Installed     dnf-1.1.6-2.fc23.noarch         @updates
    Upgraded      rpm-4.13.0-0.rc1.11.fc23.x86_64 @updates
Packages Altered:
    Upgraded graphite2-1.3.5-1.fc23.x86_64                            @updates
    Upgrade            1.3.6-1.fc23.x86_64                            @updates
Traceback (most recent call last):
  File "/bin/dnf", line 57, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 112, in _main
    cli.run()
  File "/usr/lib/python3.4/site-packages/dnf/cli/cli.py", line 1095, in run
    return self.command.run(self.base.extcmds)
  File "/usr/lib/python3.4/site-packages/dnf/cli/commands/__init__.py", line 1218, in run
    ret = self.output.historyInfoCmd(extcmds)
  File "/usr/lib/python3.4/site-packages/dnf/cli/output.py", line 1536, in historyInfoCmd
    self._historyInfoCmd(tid, pats)
  File "/usr/lib/python3.4/site-packages/dnf/cli/output.py", line 1674, in _historyInfoCmd
    self.historyInfoCmdPkgsAltered(old, pats)
  File "/usr/lib/python3.4/site-packages/dnf/cli/output.py", line 1749, in historyInfoCmdPkgsAltered
    x, m, u = dnf.yum.packages.parsePackages([hpkg], pats)
  File "/usr/lib/python3.4/site-packages/dnf/yum/packages.py", line 76, in parsePackages
    exactmatch.update(pkgdict[command])
TypeError: unhashable type: 'YumHistoryPackageState'
Comment 12 guoxiao 2016-03-11 03:42:34 EST
The bug still exists with dnf-1.1.7-2 in updates-testing
% sudo dnf --version
1.1.7
  Installed: dnf-0:1.1.7-2.fc23.noarch at 2016-03-11 06:45
  Built    : Fedora Project at 2016-03-09 16:45

  Installed: rpm-0:4.13.0-0.rc1.12.fc23.x86_64 at 2016-03-03 15:03
  Built    : Fedora Project at 2016-02-29 09:53

and can be reproduced with following command:

% sudo dnf history info kernel
Transaction ID : 542
Begin time     : Thu Mar  3 23:03:40 2016
Begin rpmdb    : 2824:6e9ce5e4cd1e31c7a68de70c4965417c5ae58541
End time       :            23:04:33 2016 (53 seconds)
End rpmdb      : 2824:10cb932996418934668fa14b432e69b92485ee9e
User           : admin <admin>
Return-Code    : Success
Command Line   : update -y
Transaction performed with:
    Upgraded      dnf-1.1.6-2.fc23.noarch         @updates
    Upgraded      rpm-4.13.0-0.rc1.11.fc23.x86_64 @updates
Packages Altered:
    Upgraded graphite2-1.3.5-1.fc23.x86_64                            @updates
    Upgrade            1.3.6-1.fc23.x86_64                            @updates
Traceback (most recent call last):
  File "/bin/dnf", line 58, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 112, in _main
    cli.run()
  File "/usr/lib/python3.4/site-packages/dnf/cli/cli.py", line 1095, in run
    return self.command.run(self.base.extcmds)
  File "/usr/lib/python3.4/site-packages/dnf/cli/commands/__init__.py", line 1220, in run
    ret = self.output.historyInfoCmd(extcmds)
  File "/usr/lib/python3.4/site-packages/dnf/cli/output.py", line 1536, in historyInfoCmd
    self._historyInfoCmd(tid, pats)
  File "/usr/lib/python3.4/site-packages/dnf/cli/output.py", line 1674, in _historyInfoCmd
    self.historyInfoCmdPkgsAltered(old, pats)
  File "/usr/lib/python3.4/site-packages/dnf/cli/output.py", line 1749, in historyInfoCmdPkgsAltered
    x, m, u = dnf.yum.packages.parsePackages([hpkg], pats)
  File "/usr/lib/python3.4/site-packages/dnf/yum/packages.py", line 76, in parsePackages
    exactmatch.update(pkgdict[command])
TypeError: unhashable type: 'YumHistoryPackageState'
Comment 13 guoxiao 2016-04-07 15:56:40 EDT
The bug still exists with dnf-1.1.8-1 in Fedora 24 updates-testing

% sudo dnf --version
1.1.8
  Installed: dnf-0:1.1.8-1.fc24.noarch at 2016-04-07 19:48
  Built    : Fedora Project at 2016-04-06 14:32

  Installed: rpm-0:4.13.0-0.rc1.26.fc24.x86_64 at 2016-04-01 12:43
  Built    : Fedora Project at 2016-03-10 15:41

% sudo dnf history info kernel
Transaction ID : 497
Begin time     : Sat Apr  2 14:08:04 2016
Begin rpmdb    : 2530:5e73b1e283b074aff151ca176ec7b0a9462ac924
End time       :            14:11:51 2016 (227 seconds)
End rpmdb      : 2533:f5ee29f8ccd786d2b5464d5d81aacf28a1751b9f
User           : xxxxxxxxxxx
Return-Code    : Success
Command Line   : update
Transaction performed with:
    Upgraded      dnf-1.1.7-2.fc24.noarch         (unknown)
    Installed     rpm-4.13.0-0.rc1.26.fc24.x86_64 @fedora
Packages Altered:
    Upgraded alsa-lib-1.1.0-4.fc24.i686                           @fedora
    Upgraded alsa-lib-1.1.0-4.fc24.x86_64                         @fedora
    Upgrade           1.1.1-1.fc24.i686                           @updates-testing
    Upgrade           1.1.1-1.fc24.x86_64                         @updates-testing
    Upgraded alsa-lib-devel-1.1.0-4.fc24.x86_64                   @fedora
    Upgrade                 1.1.1-1.fc24.x86_64                   @updates-testing
    Upgraded alsa-plugins-pulseaudio-1.1.0-2.fc24.x86_64          @fedora
    Upgrade                          1.1.1-1.fc24.x86_64          @updates-testing
    Upgraded alsa-utils-1.1.0-2.fc24.x86_64                       @fedora
    Upgrade             1.1.1-1.fc24.x86_64                       @updates-testing
    Upgraded android-tools-20141219git8393e50-5.fc24.x86_64       @fedora
    Upgrade                20160327git3761365735de-1.fc24.x86_64  @updates-testing
    Upgraded firefox-45.0.1-2.fc24.x86_64                         @fedora
    Upgrade          45.0.1-4.fc24.x86_64                         @updates-testing
    Upgraded glibmm24-2.47.92-1.fc24.x86_64                       @fedora
    Upgrade           2.48.1-1.fc24.x86_64                        @updates-testing
    Upgraded gtk-update-icon-cache-3.20.1-1.fc24.x86_64           @fedora
    Upgrade                        3.20.2-1.fc24.x86_64           @updates-testing
    Upgraded gtk3-3.20.1-1.fc24.x86_64                            @fedora
    Upgrade       3.20.2-1.fc24.x86_64                            @updates-testing
    Upgraded gtkmm30-3.19.12-1.fc24.x86_64                        @fedora
    Upgrade          3.20.0-1.fc24.x86_64                         @updates-testing
    Upgraded javapackages-tools-4.6.0-13.fc24.noarch              @fedora
    Upgrade                     4.6.0-14.fc24.noarch              @updates-testing
Traceback (most recent call last):
  File "/bin/dnf", line 58, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 112, in _main
    cli.run()
  File "/usr/lib/python3.5/site-packages/dnf/cli/cli.py", line 1096, in run
    return self.command.run(self.base.extcmds)
  File "/usr/lib/python3.5/site-packages/dnf/cli/commands/__init__.py", line 1220, in run
    ret = self.output.historyInfoCmd(extcmds)
  File "/usr/lib/python3.5/site-packages/dnf/cli/output.py", line 1536, in historyInfoCmd
    self._historyInfoCmd(tid, pats)
  File "/usr/lib/python3.5/site-packages/dnf/cli/output.py", line 1674, in _historyInfoCmd
    self.historyInfoCmdPkgsAltered(old, pats)
  File "/usr/lib/python3.5/site-packages/dnf/cli/output.py", line 1749, in historyInfoCmdPkgsAltered
    x, m, u = dnf.yum.packages.parsePackages([hpkg], pats)
  File "/usr/lib/python3.5/site-packages/dnf/yum/packages.py", line 76, in parsePackages
    exactmatch.update(pkgdict[command])
TypeError: unhashable type: 'YumHistoryPackageState'
Comment 14 Igor Gnatenko 2016-04-18 08:01:38 EDT
*** Bug 1327099 has been marked as a duplicate of this bug. ***
Comment 15 Mike Goodwin 2016-04-21 13:46:53 EDT
Seeing this bug in F23 updates-testing (and updates, too)

 xenith  ~  sudo dnf history info kodi
Transaction ID : 11
Begin time     : Sat Mar 26 00:35:48 2016
Begin rpmdb    : 1755:082b6ffbb77a7fcdb0c65335bb441f3ba42c183e
End time       :            00:35:59 2016 (11 seconds)
End rpmdb      : 1790:c1321c6dabe1336e8c498a0efcd99b42232f9e0d
User           : root <root>
Return-Code    : Success
Command Line   : install clementine kodi kate*
Transaction performed with:
    Upgraded      dnf-1.1.7-2.fc23.noarch         (unknown)
    Installed     rpm-4.13.0-0.rc1.12.fc23.x86_64 (unknown)
Packages Altered:
    Install SDL2-2.0.3-7.fc23.x86_64                              @fedora
    Install avahi-compat-libdns_sd-0.6.32-0.4.rc.fc23.x86_64      @updates
    Install clementine-1.2.3-14.fc23.x86_64                       @updates
    Install crossguid-0-0.2.20150803git8f399e8.fc23.x86_64        @updates
    Install crystalhd-firmware-3.10.0-11.fc23.noarch              @fedora
    Install ffmpeg-libs-2.8.6-1.fc23.x86_64                       @rpmfusion-free-updates-testing
    Install fribidi-0.19.6-5.fc23.x86_64                          @fedora
    Install fstrcmp-0.7.D001-4.fc23.x86_64                        @fedora
    Install ftgl-2.1.3-0.13.rc5.fc23.x86_64                       @fedora
    Install google-roboto-common-1.2-9.fc23.noarch                @fedora
    Install google-roboto-fonts-1.2-9.fc23.noarch                 @fedora
    Install kate-15.12.1-2.fc23.x86_64                            @updates
    Install kate-plugins-15.12.1-2.fc23.x86_64                    @updates
Traceback (most recent call last):
  File "/bin/dnf", line 58, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 112, in _main
    cli.run()
  File "/usr/lib/python3.4/site-packages/dnf/cli/cli.py", line 1096, in run
    return self.command.run(self.base.extcmds)
  File "/usr/lib/python3.4/site-packages/dnf/cli/commands/__init__.py", line 1220, in run
    ret = self.output.historyInfoCmd(extcmds)
  File "/usr/lib/python3.4/site-packages/dnf/cli/output.py", line 1536, in historyInfoCmd
    self._historyInfoCmd(tid, pats)                                                                                
  File "/usr/lib/python3.4/site-packages/dnf/cli/output.py", line 1674, in _historyInfoCmd                         
    self.historyInfoCmdPkgsAltered(old, pats)                                                                      
  File "/usr/lib/python3.4/site-packages/dnf/cli/output.py", line 1749, in historyInfoCmdPkgsAltered               
    x, m, u = dnf.yum.packages.parsePackages([hpkg], pats)                                                         
  File "/usr/lib/python3.4/site-packages/dnf/yum/packages.py", line 76, in parsePackages                           
    exactmatch.update(pkgdict[command])                                                                            
TypeError: unhashable type: 'YumHistoryPackageState'
Comment 16 Mike Goodwin 2016-04-21 14:53:31 EDT
Disclaimer, IANAD 

I don't know if this helps, but I was stepping through to try and see what data we're dealing with:

 xenith  ⋯  site-packages  dnf  yum  sudo dnf history info pylint
Transaction ID : 224
Begin time     : Thu Apr 21 13:58:18 2016
Begin rpmdb    : 2295:ab73bc398acde3120e11e00a6447374424d48065
End time       :            13:58:19 2016 (1 seconds)
End rpmdb      : 2298:589779b8a7c3623df5746de1a8e1b4dec278bddb
User           : xenith <xenith>
Return-Code    : Success
Command Line   : install pylint
Transaction performed with:
    Installed     dnf-1.1.8-1.fc23.noarch         @updates
    Installed     rpm-4.13.0-0.rc1.12.fc23.x86_64 (unknown)
Packages Altered:
> /usr/lib/python3.4/site-packages/dnf/yum/packages.py(78)parsePackages()
-> exactmatch.update(pkgdict[command])
(Pdb) pkgdict
{'pylint.noarch': [<YumHistoryPackageState : pylint-1.4.3-3.fc23.noarch (0x7f928186d6d8)>], 'pylint-1.4.3': [<YumHistoryPackageState : pylint-1.4.3-3.fc23.noarch (0x7f928186d6d8)>], 'pylint': [<YumHistoryPackageState : pylint-1.4.3-3.fc23.noarch (0x7f928186d6d8)>], 'pylint-0:1.4.3-3.fc23.noarch': [<YumHistoryPackageState : pylint-1.4.3-3.fc23.noarch (0x7f928186d6d8)>], 'pylint-1.4.3-3.fc23.noarch': [<YumHistoryPackageState : pylint-1.4.3-3.fc23.noarch (0x7f928186d6d8)>], '0:pylint-1.4.3-3.fc23.noarch': [<YumHistoryPackageState : pylint-1.4.3-3.fc23.noarch (0x7f928186d6d8)>], 'pylint-1.4.3-3.fc23': [<YumHistoryPackageState : pylint-1.4.3-3.fc23.noarch (0x7f928186d6d8)>]}
(Pdb) pkgdict[command]
[<YumHistoryPackageState : pylint-1.4.3-3.fc23.noarch (0x7f928186d6d8)>]
(Pdb) 


Maybe that helps?
Comment 17 Mike Goodwin 2016-04-23 13:21:14 EDT
Fix awaiting PR in Github:

https://github.com/rpm-software-management/dnf/pull/475
Comment 18 Igor Gnatenko 2016-05-09 07:39:18 EDT
*** Bug 1332235 has been marked as a duplicate of this bug. ***
Comment 19 Honza Silhan 2016-05-16 07:26:49 EDT
*** Bug 1336220 has been marked as a duplicate of this bug. ***
Comment 20 Fedora Update System 2016-05-19 07:08:15 EDT
dnf-plugins-core-0.1.21-1.fc24 dnf-1.1.9-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1efd7bc386
Comment 21 Fedora Update System 2016-05-19 07:10:26 EDT
dnf-1.1.9-1.fc23 dnf-plugins-core-0.1.21-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-bb69db975e
Comment 22 Fedora Update System 2016-05-20 21:33:04 EDT
dnf-1.1.9-1.fc24, dnf-plugins-core-0.1.21-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1efd7bc386
Comment 23 Fedora Update System 2016-05-20 22:27:22 EDT
dnf-1.1.9-1.fc23, dnf-plugins-core-0.1.21-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-bb69db975e
Comment 24 Fedora Update System 2016-05-21 22:24:19 EDT
dnf-1.1.9-1.fc23, dnf-plugins-core-0.1.21-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 25 Dusty Mabe 2016-05-22 00:01:11 EDT
Confirmed that this update fixes the problem for me.

Note You need to log in before you can comment on or make changes to this bug.